Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.desktop
Class OutlookEventStore

    java.lang.Object
      local.tomas.mobile.sync.obj.desktop.OutlookSyncStore
          local.tomas.mobile.sync.obj.desktop.OutlookRecurrableStore
              local.tomas.mobile.sync.obj.desktop.OutlookEventStore

All Implemented Interfaces:
  SyncStore

    public class OutlookEventStore

extends OutlookRecurrableStore

Field Summary

Fields inherited from class local.tomas.mobile.sync.obj.desktop.OutlookSyncStore
`category, folder, folderName, instance, normalizer, storeId`

Constructor Summary
`OutlookEventStore()`

Method Summary
`protected OutlookSyncEvent` | `checkEvent(local.tomas.outlook.OutlookAppointment ci)`
`protected local.tomas.outlook.OutlookAppointment` | `checkFolder(local.tomas.outlook.OutlookAppointment ci)`
`SyncObject` | `createObject()`
`protected void` | `deleteObject(java.lang.String uid)`
`java.util.Map<java.lang.String,SyncObject>` | `getAllObjects()`
`protected int` | `getDefaultFolderId()`
`SyncObject` | `getObject(java.lang.String uid)`
`protected void` | `saveObject(SyncObject object)`
`void` | `setDaysAfter(int daysAfter)`
`void` | `setDaysBefore(int daysBefore)`

Methods inherited from class local.tomas.mobile.sync.obj.desktop.OutlookRecurrableStore
`getFieldDescriptions`

Methods inherited from class local.tomas.mobile.sync.obj.desktop.OutlookSyncStore
`close, deleteObject, getCategories, getCategory, getChangeCounter, getChangeLog, getDatabaseId, getFieldDescriptions, getFolder, getInstance, getNormalizer, getObjects, getOutlookFolder, isChangeCounterSupported, isTimestampSupported, prepareItem, saveObject, setCategories, setCategory, setFolder, setInstance, setNormalizer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlookEventStore

    public OutlookEventStore()

Method Detail

### setDaysBefore

    public void setDaysBefore(int daysBefore)

### setDaysAfter

    public void setDaysAfter(int daysAfter)

### getDefaultFolderId

    protected int getDefaultFolderId()

  Specified by:
    `getDefaultFolderId` in class `OutlookSyncStore`

### checkEvent

    protected OutlookSyncEvent checkEvent(local.tomas.outlook.OutlookAppointment ci)

### checkFolder

    protected local.tomas.outlook.OutlookAppointment checkFolder(local.tomas.outlook.OutlookAppointment ci)

### getObject

    public SyncObject getObject(java.lang.String uid)
                         throws SyncException

  Throws:
    `SyncException`

### getAllObjects

    public java.util.Map<java.lang.String,SyncObject> getAllObjects()
                                                             throws SyncException

  Throws:
    `SyncException`

### createObject

    public SyncObject createObject()
                            throws SyncException

  Throws:
    `SyncException`

### saveObject

    protected void saveObject(SyncObject object)
                       throws SyncException

  Specified by:
    `saveObject` in class `OutlookSyncStore`
  Throws:
    `SyncException`

### deleteObject

    protected void deleteObject(java.lang.String uid)
                         throws SyncException

  Specified by:
    `deleteObject` in class `OutlookSyncStore`
  Throws:
    `SyncException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.